### Import table
X = read.table('C:/Users/2815601y/OneDrive - University of Glasgow/Synergen Experiments/X csv', sep=",", header=TRUE)

### Clear environment
rm(list=ls())

###################### Packages #######################
### Install packages
install.packages("tidyverse")
install.packages('ggplot2')
install.packages("lubridate")
install.packages(("mgcv"))
install.packages("RColorBrewer")
install.packages("nlme")
install.packages("MASS")
install.packages("lme4")
install.packages("dplyr")
install.packages('readxl')
install.packages('multcomp')
install.packages('agricolae')
install.packages("devtools")
install.packages('ggpubr')
install.packages('car')
install.packages("read_xlsx")
devtools::install_github("kassambara/ggpubr",force=TRUE)
install.packages("performance")
install.packages("s1ee")
install.packages("kableExtra")
install.packages("rstatix")
install.packages("bestNormalize")
install.packages("AICcmodavg")
install.packages("multcompView")
install.packages("ggsignif")
install.packages("FSA")
install.packages("rcompanion")
install.packages("emmeans")

### Load packages
library('performance')
library('see')
library('tidyverse')
library('lubridate')
library('mgcv')
library('RColorBrewer')
library('lme4')
library('dplyr')
library('readxl')
library('ggplot2')
library('dplyr')
library('agricolae')
library('ggpubr')
library('multcomp')
library('MASS')
library('car')
library("kableExtra")
library("rstatix")
library("bestNormalize")
library("AICcmodavg")
library("multcompView")
library("ggsignif")
library("FSA")
library("rcompanion")
library("emmeans")

#### Define factors and numerics
#### Define factors and numerics

###GPdata/pH/DMD
Treatment <- as.factor(X$Treatment)
DMD <-as.numeric(X$DMD)
pH <-as.numeric(X$pH)
Total_gas <-as.numeric(X$Total_gas)
a <-as.numeric(X$a)
b <-as.numeric(X$b)
c <-as.numeric(X$c)
d <-as.numeric(X$d)
e <-as.numeric(X$e)

###VFAdata

Treatment <- as.factor(MVFA$Treatment)
Ace <-as.numeric(MVFA$Ace)
Prop <-as.numeric(MVFA$Prop)
Isob <-as.numeric(MVFA$Isob)
But <-as.numeric(MVFA$But)
Isov <-as.numeric(MVFA$Isov)
Val <-as.numeric(MVFA$Val)
tVFa <-as.numeric(MVFA$tVFA)
AcProp <-as.numeric(MVFA$AcProp)
ActVFA <-as.numeric(MVFA$ActVFA)


### Create standard error as own function
st_err <- function (x) sd(x) / sqrt(length(x))

### Table of summary statistics 
Xtable_sum <- *insert parameter*%>%
  group_by(Treatment) %>%
  get_summary_stats(*insert parameter*, type = "full",
                    show = c("n","mean","sd","max","min","se"))
Xtable_sum %>%
  kbl() %>%
  kable_styling(bootstrap_options = c("striped","hover","condensed"))


### Normality test
shapiro.test(X$*insert parameter*)

residual_X <- lm(*insert parameter* ~ Treatment, data = X)
summary(residual_X)

shapiro.test(residuals(residual_X))

###Homogeneity of variance
leveneTest(*insert parameter* ~ Treatment, data = X)

###One-way ANOVA
aovX <- aov(*insert parameter*~Treatment, data = X)
anova(aovX)

###Tukey post hoc
TukeypHM <- TukeyHSD(aovX)
TukeypHM
